%==================================================================
%
%	calc_view_movie.m
%
%	Markus Junghoefer	[1995]
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
%
%
%	Function definition
%
	
	function[v_view,choice_view]=calc_view_movie(status);

%
%
%=================================================================


v_view=[0 0;180 0;0 90;180 -90;-90 0;90 0;45 70;0 0;0 0;0 0;0 0;180 0;0 90;180 -90;-90 0;90 0;45 70;0 0];

if status==1	
	clc;
	fprintf('Do you want to look from\n\n')
	fprintf('back    [0, 0]                                              [1]\n')
	fprintf('front   [180, 0]                                            [2]\n')
	fprintf('top     [0, 90]                                             [3]\n')
	fprintf('bottom  [180, -90]                                          [4]\n')
	fprintf('left    [-90, 0]                                            [5]\n')
	fprintf('right   [90, 0]                                             [6]\n')
	fprintf('default [45, 70]                                            [7]\n\n')
	fprintf('or do you want to insert theta and phi by your own?         [8]\n\n')
	fprintf('(if you want to add all views insert x+10)\n\n\n')
	choice_view=input('Please insert your choice of view:  [17]');
	if isempty(choice_view)
		choice_view=17;
	end
	if choice_view == 8 | choice_view == 18
		v_view(choice_view,1)=input('Please insert theta of the wished view:  ');
		v_view(choice_view,2)=input('Please insert phi of the wished view:  ');
	end
end
return;
